package com.chenyang.nse.bussiness.engine.ghca.webservice;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

@WebServiceClient(
   name = "DesensitizationEngineInterfaceImplService",
   targetNamespace = "http://webservice/",
   wsdlLocation = "http://127.0.0.1:12346/engine?wsdl"
)
public class DesensitizationEngineInterfaceImplService extends Service {
   private static final URL DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_WSDL_LOCATION;
   private static final WebServiceException DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_EXCEPTION;
   private static final QName DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_QNAME = new QName("http://webservice/", "DesensitizationEngineInterfaceImplService");

   public DesensitizationEngineInterfaceImplService() {
      super(__getWsdlLocation(), DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_QNAME);
   }

   public DesensitizationEngineInterfaceImplService(WebServiceFeature... features) {
      super(__getWsdlLocation(), DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_QNAME, features);
   }

   public DesensitizationEngineInterfaceImplService(URL wsdlLocation) {
      super(wsdlLocation, DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_QNAME);
   }

   public DesensitizationEngineInterfaceImplService(URL wsdlLocation, WebServiceFeature... features) {
      super(wsdlLocation, DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_QNAME, features);
   }

   public DesensitizationEngineInterfaceImplService(URL wsdlLocation, QName serviceName) {
      super(wsdlLocation, serviceName);
   }

   public DesensitizationEngineInterfaceImplService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
      super(wsdlLocation, serviceName, features);
   }

   @WebEndpoint(
      name = "DesensitizationEngineInterfaceImplPort"
   )
   public DesensitizationEngineInterfaceImpl getDesensitizationEngineInterfaceImplPort() {
      return (DesensitizationEngineInterfaceImpl)super.getPort(new QName("http://webservice/", "DesensitizationEngineInterfaceImplPort"), DesensitizationEngineInterfaceImpl.class);
   }

   @WebEndpoint(
      name = "DesensitizationEngineInterfaceImplPort"
   )
   public DesensitizationEngineInterfaceImpl getDesensitizationEngineInterfaceImplPort(WebServiceFeature... features) {
      return (DesensitizationEngineInterfaceImpl)super.getPort(new QName("http://webservice/", "DesensitizationEngineInterfaceImplPort"), DesensitizationEngineInterfaceImpl.class, features);
   }

   private static URL __getWsdlLocation() {
      if (DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_EXCEPTION != null) {
         throw DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_EXCEPTION;
      } else {
         return DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_WSDL_LOCATION;
      }
   }

   static {
      URL url = null;
      WebServiceException e = null;

      try {
         url = new URL("http://127.0.0.1:12346/engine?wsdl");
      } catch (MalformedURLException ex) {
         e = new WebServiceException(ex);
      }

      DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_WSDL_LOCATION = url;
      DESENSITIZATIONENGINEINTERFACEIMPLSERVICE_EXCEPTION = e;
   }
}
